Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 42100: Apply tranformation to pattern locally to fix some layout tests.... (Closed)

Created:
11 years, 1 month ago by Alpha Left Google
Modified:
8 years, 9 months ago
CC:
chromium-reviews_googlegroups.com
Visibility:
Public.

Description

Apply tranformation to pattern locally to fix some layout tests. Note that we avoid using positive translations that causes problems in Skia. See the changes for more details. Fixed the following layout tests: LayoutTests/svg/batik/paints/patternRegionA.svg LayoutTests/svg/W3C-SVG-1.1/pservers-grad-06-b.svg LayoutTests/svg/W3C-SVG-1.1/pservers-pattern-01-b.svg LayoutTests/svg/W3C-SVG-1.1/coords-units-01-b.svg Change list for re-baselineing the above tests: http://codereview.chromium.org/43105/show

Patch Set 1 #

Total comments: 12

Patch Set 2 : '' #

Total comments: 7

Patch Set 3 : '' #

Unified diffs Side-by-side diffs Delta from patch set Stats (+53 lines, -28 lines) Patch
M WebCore/platform/graphics/skia/PatternSkia.cpp View 1 2 1 chunk +53 lines, -28 lines 0 comments Download

Messages

Total messages: 7 (0 generated)
Alpha Left Google
11 years, 1 month ago (2009-03-11 23:02:03 UTC) #1
Evan Stade
some nits: http://codereview.chromium.org/42100/diff/1/2 File WebCore/platform/graphics/skia/PatternSkia.cpp (right): http://codereview.chromium.org/42100/diff/1/2#newcode43 Line 43: // Note: patternTransform is ignored since ...
11 years, 1 month ago (2009-03-11 23:28:02 UTC) #2
Alpha Left Google
http://codereview.chromium.org/42100/diff/1/2 File WebCore/platform/graphics/skia/PatternSkia.cpp (right): http://codereview.chromium.org/42100/diff/1/2#newcode43 Line 43: // Note: patternTransform is ignored since it is ...
11 years, 1 month ago (2009-03-12 00:02:17 UTC) #3
Evan Stade
a couple more nits, aside from that LGTM, good find http://codereview.chromium.org/42100/diff/1/2 File WebCore/platform/graphics/skia/PatternSkia.cpp (right): http://codereview.chromium.org/42100/diff/1/2#newcode50 ...
11 years, 1 month ago (2009-03-12 00:52:05 UTC) #4
Alpha Left Google
http://codereview.chromium.org/42100/diff/1/2 File WebCore/platform/graphics/skia/PatternSkia.cpp (right): http://codereview.chromium.org/42100/diff/1/2#newcode50 Line 50: // translations, so make them negative only in ...
11 years, 1 month ago (2009-03-12 01:05:00 UTC) #5
Evan Stade
lgtm
11 years, 1 month ago (2009-03-12 01:15:12 UTC) #6
brettw
11 years ago (2009-03-18 18:19:55 UTC) #7
I would like to let the Skia folks know about this before we work around
something. If it is a bug, it should be fixed there, or we should know a fix is
pending before checking in.

Powered by Google App Engine
This is Rietveld 408576698